Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.invalidation.bridges
Class JGCacheInvalidationBridge

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.cache.invalidation.bridges.JGCacheInvalidationBridge

All Implemented Interfaces:
  DistributedReplicantManager.ReplicantListener, DistributedState.DSListenerEx, org.jboss.cache.invalidation.InvalidationBridgeListener, JGCacheInvalidationBridgeMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, org.jboss.system.Service, org.jboss.system.ServiceMBean

public class JGCacheInvalidationBridge
extends org.jboss.system.ServiceMBeanSupport
implements JGCacheInvalidationBridgeMBean, DistributedState.DSListenerEx, org.jboss.cache.invalidation.InvalidationBridgeListener, DistributedReplicantManager.ReplicantListener

JGroups implementation of a cache invalidation bridge

Version:
  $Revision: 1.8.4.1 $

  Revisions:

  24 septembre 2002 Sacha Labourey:

  - First implementation
Author:
  Sacha Labourey.
See Also:
  `JGCacheInvalidationBridgeMBean`

Field Summary
`protected Vector` | `bridgedGroups`
`protected String` | `bridgeName`
`protected DistributedReplicantManager` | `drm`
`protected DistributedState` | `ds`
`protected String` | `invalidationManagerName`
`protected org.jboss.cache.invalidation.BridgeInvalidationSubscription` | `invalidationSubscription`
`protected org.jboss.cache.invalidation.InvalidationManagerMBean` | `invalMgr`
`protected Collection` | `localGroups`
`protected String` | `nodeName`
`protected HAPartition` | `partition`
`protected String` | `partitionName`
`protected Class[]` | `rpc_batch_invalidate_types`
`protected String` | `RPC_HANLE_NAME`
`protected Class[]` | `rpc_invalidate_all_types`
`protected Class[]` | `rpc_invalidate_types`
`protected Class[]` | `rpc_invalidates_types`

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`JGCacheInvalidationBridge()`

Method Summary
`protected void` | `_do_rpc_batchInvalidate(org.jboss.cache.invalidation.BatchInvalidation[] invalidations, boolean asynch)`
`protected void` | `_do_rpc_invalidate_all(String invalidationGroupName, boolean asynch)`
`protected void` | `_do_rpc_invalidate(String invalidationGroupName, Serializable key, boolean asynch)`
`protected void` | `_do_rpc_invalidates(String invalidationGroupName, Serializable[] keys, boolean asynch)`
`void` | `_rpc_batchInvalidate(org.jboss.cache.invalidation.BatchInvalidation[] invalidations)`
`void` | `_rpc_invalidate_all(String invalidationGroupName)`
`void` | `_rpc_invalidate(String invalidationGroupName, Serializable key)`
`void` | `_rpc_invalidates(String invalidationGroupName, Serializable[] keys)`
`void` | `batchInvalidate(org.jboss.cache.invalidation.BatchInvalidation[] invalidations, boolean asynchronous)`
`String` | `getBridgeName()`
`String` | `getInvalidationManager()` ObjectName of the InvalidationManager to be used.
`String` | `getPartitionName()` Name of the Clustering partition to be used to exchange invalidation messages and discover which caches (i.e.
`protected boolean` | `groupExistsRemotely(String groupName)`
`void` | `groupIsDropped(String groupInvalidationName)`
`void` | `invalidate(String invalidationGroupName, Serializable[] keys, boolean asynchronous)`
`void` | `invalidate(String invalidationGroupName, Serializable key, boolean asynchronous)`
`void` | `invalidateAll(String groupName, boolean async)`
`void` | `keyHasBeenRemoved(String category, Serializable key, Serializable previousContent, boolean locallyModified)` Called whenever a key has been removed from a category the called object had subscribed in.
`void` | `newGroupCreated(String groupInvalidationName)`
`protected void` | `publishLocalInvalidationGroups()`
`void` | `replicantsChanged(String key, List newReplicants, int newReplicantsViewId)` Callback called when the content/list of replicant for a given replicant key has changed
`void` | `setBridgeName(String name)`
`void` | `setInvalidationManager(String objectName)`
`void` | `setPartitionName(String partitionName)`
`void` | `startService()`
`void` | `stopService()`
`protected void` | `updatedBridgedInvalidationGroupsInfo()`
`void` | `valueHasChanged(String category, Serializable key, Serializable value, boolean locallyModified)` Called whenever a key has been added or modified in the category the called object has subscribed in.

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, createService, destroy, destroyService, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, start, stop`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Field Detail

### partitionName

    protected String partitionName

### invalidationManagerName

    protected String invalidationManagerName

### bridgeName

    protected String bridgeName

### partition

    protected HAPartition partition

### ds

    protected DistributedState ds

### drm

    protected DistributedReplicantManager drm

### RPC_HANLE_NAME

    protected String RPC_HANLE_NAME

### nodeName

    protected String nodeName

### invalMgr

    protected org.jboss.cache.invalidation.InvalidationManagerMBean invalMgr

### invalidationSubscription

    protected org.jboss.cache.invalidation.BridgeInvalidationSubscription invalidationSubscription

### localGroups

    protected Collection localGroups

### bridgedGroups

    protected Vector bridgedGroups

### rpc_invalidate_types

    protected final Class[] rpc_invalidate_types

### rpc_invalidates_types

    protected final Class[] rpc_invalidates_types

### rpc_invalidate_all_types

    protected final Class[] rpc_invalidate_all_types

### rpc_batch_invalidate_types

    protected final Class[] rpc_batch_invalidate_types

Constructor Detail

### JGCacheInvalidationBridge

    public JGCacheInvalidationBridge()

Method Detail

### getInvalidationManager

    public String getInvalidationManager()

  Description copied from interface: `JGCacheInvalidationBridgeMBean`
  ObjectName of the InvalidationManager to be used. Optional: in this case, the default InvalidationManager is used.

  Specified by:
    `getInvalidationManager` in interface `JGCacheInvalidationBridgeMBean`

### getPartitionName

    public String getPartitionName()

  Description copied from interface: `JGCacheInvalidationBridgeMBean`
  Name of the Clustering partition to be used to exchange invalidation messages and discover which caches (i.e. InvalidationGroup) are available

  Specified by:
    `getPartitionName` in interface `JGCacheInvalidationBridgeMBean`

### setInvalidationManager

    public void setInvalidationManager(String objectName)

  Specified by:
    `setInvalidationManager` in interface `JGCacheInvalidationBridgeMBean`

### setPartitionName

    public void setPartitionName(String partitionName)

  Specified by:
    `setPartitionName` in interface `JGCacheInvalidationBridgeMBean`

### getBridgeName

    public String getBridgeName()

  Specified by:
    `getBridgeName` in interface `JGCacheInvalidationBridgeMBean`

### setBridgeName

    public void setBridgeName(String name)

  Specified by:
    `setBridgeName` in interface `JGCacheInvalidationBridgeMBean`

### replicantsChanged

    public void replicantsChanged(String key,
                                  List newReplicants,
                                  int newReplicantsViewId)

  Description copied from interface: `DistributedReplicantManager.ReplicantListener`
  Callback called when the content/list of replicant for a given replicant key has changed

  Specified by:
    `replicantsChanged` in interface `DistributedReplicantManager.ReplicantListener`
  Parameters:
    `key` - The name of the key of the replicant that has changed
    `newReplicants` - The list of new replicants for the give replicant key
    `newReplicantsViewId` - The new replicant view id corresponding to this change

### valueHasChanged

    public void valueHasChanged(String category,
                                Serializable key,
                                Serializable value,
                                boolean locallyModified)

  Description copied from interface: `DistributedState.DSListenerEx`
  Called whenever a key has been added or modified in the category the called object has subscribed in.

  Specified by:
    `valueHasChanged` in interface `DistributedState.DSListenerEx`
  Parameters:
    `category` - The category of the modified/added entry
    `key` - The key that has been added or its value modified
    `value` - The new value of the key

### keyHasBeenRemoved

    public void keyHasBeenRemoved(String category,
                                  Serializable key,
                                  Serializable previousContent,
                                  boolean locallyModified)

  Description copied from interface: `DistributedState.DSListenerEx`
  Called whenever a key has been removed from a category the called object had subscribed in.

  Specified by:
    `keyHasBeenRemoved` in interface `DistributedState.DSListenerEx`
  Parameters:
    `category` - The category under which a key has been removed
    `key` - The key that has been removed
    `previousContent` - The previous content of the key that has been removed

### batchInvalidate

    public void batchInvalidate(org.jboss.cache.invalidation.BatchInvalidation[] invalidations,
                                boolean asynchronous)

  Specified by:
    `batchInvalidate` in interface `org.jboss.cache.invalidation.InvalidationBridgeListener`

### invalidate

    public void invalidate(String invalidationGroupName,
                           Serializable[] keys,
                           boolean asynchronous)

  Specified by:
    `invalidate` in interface `org.jboss.cache.invalidation.InvalidationBridgeListener`

### invalidate

    public void invalidate(String invalidationGroupName,
                           Serializable key,
                           boolean asynchronous)

  Specified by:
    `invalidate` in interface `org.jboss.cache.invalidation.InvalidationBridgeListener`

### invalidateAll

    public void invalidateAll(String groupName,
                              boolean async)

  Specified by:
    `invalidateAll` in interface `org.jboss.cache.invalidation.InvalidationBridgeListener`

### newGroupCreated

    public void newGroupCreated(String groupInvalidationName)

  Specified by:
    `newGroupCreated` in interface `org.jboss.cache.invalidation.InvalidationBridgeListener`

### groupIsDropped

    public void groupIsDropped(String groupInvalidationName)

  Specified by:
    `groupIsDropped` in interface `org.jboss.cache.invalidation.InvalidationBridgeListener`

### startService

    public void startService()
                      throws Exception

  Throws:
    `Exception`

### stopService

    public void stopService()

### _rpc_invalidate

    public void _rpc_invalidate(String invalidationGroupName,
                                Serializable key)

### _rpc_invalidates

    public void _rpc_invalidates(String invalidationGroupName,
                                 Serializable[] keys)

### _rpc_invalidate_all

    public void _rpc_invalidate_all(String invalidationGroupName)

### _rpc_batchInvalidate

    public void _rpc_batchInvalidate(org.jboss.cache.invalidation.BatchInvalidation[] invalidations)

### _do_rpc_invalidate

    protected void _do_rpc_invalidate(String invalidationGroupName,
                                      Serializable key,
                                      boolean asynch)

### _do_rpc_invalidates

    protected void _do_rpc_invalidates(String invalidationGroupName,
                                       Serializable[] keys,
                                       boolean asynch)

### _do_rpc_invalidate_all

    protected void _do_rpc_invalidate_all(String invalidationGroupName,
                                          boolean asynch)

### _do_rpc_batchInvalidate

    protected void _do_rpc_batchInvalidate(org.jboss.cache.invalidation.BatchInvalidation[] invalidations,
                                           boolean asynch)

### publishLocalInvalidationGroups

    protected void publishLocalInvalidationGroups()
                                           throws Exception

  Throws:
    `Exception`

### updatedBridgedInvalidationGroupsInfo

    protected void updatedBridgedInvalidationGroupsInfo()

### groupExistsRemotely

    protected boolean groupExistsRemotely(String groupName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.